%define pkgname ttf-bitstream-vera

Summary: Bitstream Vera Fonts
Name: fonts-ttf-vera
Version: 1.10
Release: 4mdk
License: Bitstream Vera Fonts Copyright
Group: System/Fonts/True type
URL: http://www.gnome.org/fonts/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq: fontconfig 
PreReq: chkfontpath
BuildArch: noarch
BuildRequires: freetype-tools

%description
This package contains Bitstream Vera fonts.

%prep
%setup -q -n %{pkgname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/vera

cp *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/vera
ttmkfdir $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/vera > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/vera/fonts.dir
ln -s fonts.dir $RPM_BUILD_ROOT%{_datadir}\/fonts/ttf/vera/fonts.scale

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/ttf/vera
%{_bindir}/fc-cache %{_datadir}/fonts

%postun
if [ "$1" = 0 ]; then 
  [ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/ttf/vera
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache %{_datadir}/fonts
fi

%triggerpostun -- fonts-ttf-vera < 1.10-4mdk
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/ttf/vera


%files
%defattr(-,root,root,-)
%doc COPYRIGHT.TXT local.conf README.TXT RELEASENOTES.TXT
%{_datadir}/fonts/ttf/vera


%changelog
* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.10-4mdk
- Fix postun script to not run on upgrade (Mdk bug #11550)

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.10-3mdk
- rebuild

* Thu Apr 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.10-2mdk
- add fonts.dir and fonts.scale for chkfontpath

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.10-1mdk
- Initial build.


